The `conjure` program processes a Magick Scripting Language (MSL) script. The Magick scripting language (MSL) will primarily benefit those that want to accomplish custom image processing tasks but do not wish to program, or those that do not have access to a Perl interpreter or a compiler. See Command Line Processing for advice on how to structure your `conjure` command or see below for example usages of the command.

## Example Usage

We list a few examples of the `conjure` command here to illustrate its usefulness and ease of use. To get started, here is simple `conjure` command:

      conjure -dimensions 400x400 incantation.msl

Where incantation.msl is our MSL script:

      <?xml version="1.0" encoding="UTF-8"?>
      <image size="400x400" \>
        <read filename="image.gif" />
        <get width="base-width" height="base-height" />
        <resize geometry="%[dimensions]" />
        <get width="width" height="height" />
        <print output="Image sized from %[base-width]x%[base-height] to %[width]x%[height].\n" />
        <write filename="image.png" />
      </image>

You can find additional examples of using `conjure` in Graphics from the Command Line. Further discussion is available in More Graphics from the Command Line and Examples of ImageMagick Usage.

## Option Summary

The `conjure` command recognizes these options. Click on an option to get more details about how that option works.

Option | Description
--- | ---
-authenticate value | decrypt image with this password
-channel type | apply option to select image channels
-debug events | display copious debugging information
-define format:option | define one or more image format options
-density geometry | horizontal and vertical density of the image
-depth value | image depth
-extract geometry | extract area from image
-format string | output formatted image characteristics
-help | print program options
-interlace type | type of image interlacing scheme
-limit type value | pixel cache resource limit
-list type | Color, Configure, Delegate, Format, Magic, Module, Resource, or Type
-log format | format of debugging information
-monitor | monitor progress
-quiet | suppress all error or warning messages
-sampling-factor geometry | horizontal and vertical sampling factor
-set attribute value | set an image attribute
-size geometry | width and height of image
-strip | strip image of all profiles and comments
-units type | the units of image resolution
-verbose | print detailed information about the image
-version | print version information
-virtual-pixel method | access method for pixels outside the boundaries of the image

Discourse Server | Mailing Lists | Image Gallery | ImageMagick Studio
© 1999-2006 ImageMagick Studio LLC